const { makeSingleMysqlConnection, execQuery } = require('../index.js')

const params = [
  {
    database: 'testing',
    host: 'localhost',
    password: 'test',
    port: 3306,
    user: 'developer',
  },
]

const useSingleConn = async connParams => {
  const conn = await makeSingleMysqlConnection(connParams)
  try {
    execQuery(conn, 'select * from testing.user').then(result => console.log(result))
  } catch (err) {
    console.log(err)
    console.log(err)
  }
}

useSingleConn(params[0])
